Bug 741504 - [abrt] glob2-0.9.4.4-5.fc15: Process /usr/bin/glob2 was killed by signal 6 (SIGABRT)
[abrt] glob2-0.9.4.4-5.fc15: Process /usr/bin/glob2 was killed by signal 6 (S...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glob2 (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
abrt_hash:7d0d33d028ec0690804e2ea7b68...
:
: 789539 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-27 00:40 EDT by Samuel Sieb
Modified: 2012-08-07 11:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:31:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (23.54 KB, text/plain)
2011-09-27 00:40 EDT, Samuel Sieb
no flags Details
File: backtrace (8.69 KB, text/plain)
2012-01-29 14:55 EST, krysolov230
no flags Details

  None (edit)
Description Samuel Sieb 2011-09-27 00:40:19 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        glob2
comment:        It crashed while closing the program.
component:      glob2
executable:     /usr/bin/glob2
kernel:         2.6.40.4-5.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        glob2-0.9.4.4-5.fc15
reason:         Process /usr/bin/glob2 was killed by signal 6 (SIGABRT)
time:           Mon Sep 26 20:32:10 2011
uid:            500
username:       samuel
var_log_messages: 

maps:           Text file, 24100 bytes

backtrace:
:[New LWP 5081]
:[New LWP 5084]
:[Thread debugging using libthread_db enabled]
:Core was generated by `glob2'.
:Program terminated with signal 6, Aborted.
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/sysenter.S:49
:49		pop %ebp
:
:Thread 2 (Thread 0xb362ab70 (LWP 5084)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/sysenter.S:49
:No locals.
:#1  0x0067f8a6 in nanosleep () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#2  0x001ecf77 in SDL_Delay (ms=1) at src/timer/unix/SDL_systimer.c:118
:        was_error = <optimized out>
:        elapsed = {tv_sec = 0, tv_nsec = 1000000}
:        tv = {tv_sec = 0, tv_nsec = 1000000}
:#3  0x001ecfc4 in RunTimer (unused=0x0) at src/timer/unix/SDL_systimer.c:203
:No locals.
:#4  0x0019cb92 in SDL_RunThread (data=0xa0af228) at src/thread/SDL_thread.c:204
:        args = 0xa0af228
:        userfunc = 0x1ecf90 <RunTimer>
:        userdata = <optimized out>
:        statusloc = 0xa1062f8
:#5  0x001ea6ac in RunThread (data=0xa0af228) at src/thread/pthread/SDL_systhread.c:47
:No locals.
:#6  0x00678a2e in start_thread (arg=0xb362ab70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb362ab70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {6852596, 0, 4001536, -1285380984, -2119940324, -1947140998}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x0046b34e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 1 (Thread 0xb78348e0 (LWP 5081)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/sysenter.S:49
:No locals.
:#1  0x003bf26f in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = <optimized out>
:        resultvar = <optimized out>
:        pid = 5345268
:        selftid = 5081
:#2  0x003c0ba5 in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x4a8b4c <__GI__dl_addr+652>, sa_sigaction = 0x4a8b4c <__GI__dl_addr+652>}, sa_mask = {__val = {10753220, 134526628, 134586501, 263, 10754296, 0, 263, 134513308, 0, 17, 2, 4600848, 4, 3214249500, 5345268, 12, 3214250972, 4721746, 2, 3214249500, 4, 0, 3214279804, 3, 3214279816, 6, 3214249604, 3214249596, 4, 5103104, 5103108, 3842848}}, sa_flags = 3, sa_restorer = 0x3aa413 <__libc_start_main+243>}
:        sigs = {__val = {32, 0 <repeats 31 times>}}
:#3  0x003fb39a in __libc_message (do_abort=2, fmt=0x4df1d4 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
:        ap = 0xb785d000 ""
:        ap_copy = 0xb785d000 ""
:        fd = 2
:        on_2 = <optimized out>
:        list = <optimized out>
:        nlist = <optimized out>
:        cp = <optimized out>
:        written = <optimized out>
:#4  0x004022b5 in malloc_printerr (action=<optimized out>, str=<optimized out>, ptr=0xa6ba1b0) at malloc.c:6283
:        buf = "0a6ba1b0"
:        cp = <optimized out>
:#5  0x00402f46 in _int_free (av=0x51a3e0, p=0xa6b9810, have_lock=0) at malloc.c:4973
:        size = 2464
:        fb = <optimized out>
:        nextchunk = <optimized out>
:        nextsize = 2008
:        nextinuse = <optimized out>
:        prevsize = <optimized out>
:        bck = <optimized out>
:        fwd = <optimized out>
:        errstr = 0x0
:        locked = <optimized out>
:#6  0x459a1531 in speex_free (ptr=<optimized out>) at os_support.h:81
:No locals.
:#7  nb_encoder_destroy (state=0xa008818) at nb_celp.c:225
:        st = 0xa008818
:#8  0x4599edf0 in speex_encoder_destroy (state=0xa008818) at speex.c:63
:No locals.
:#9  0x081f450a in VoiceRecorder::~VoiceRecorder (this=0xa079100, __in_chrg=<optimized out>) at src/VoiceRecorder.cpp:416
:No locals.
:#10 0x081f45c1 in VoiceRecorder::~VoiceRecorder (this=0xa079100, __in_chrg=<optimized out>) at src/VoiceRecorder.cpp:417
:No locals.
:#11 0x0811473b in GlobalContainer::~GlobalContainer (this=0x9f8dcc0, __in_chrg=<optimized out>) at src/GlobalContainer.cpp:127
:No locals.
:#12 0x08114cd1 in GlobalContainer::~GlobalContainer (this=0x9f8dcc0, __in_chrg=<optimized out>) at src/GlobalContainer.cpp:137
:No locals.
:#13 0x0810dcf8 in Glob2::run (this=0xbf96040f, argc=1, argv=0xbf9604b4) at src/Glob2.cpp:383
:No locals.
:#14 0x08057874 in main (argc=1, argv=0xbf9604b4) at src/Glob2.cpp:409
:        glob2 = {static verbose = false, isRunning = false}
:From        To          Syms Read   Shared Object Library
:0x4591d670  0x4592aaac  Yes         /lib/libz.so.1.2.5
:0x0089a830  0x008a268c  Yes         /usr/lib/libboost_thread-mt.so.1.46.0
:0x00e65a50  0x00eadc2c  Yes         /usr/lib/libGL.so.1.2
:0x003227f0  0x0037a13c  Yes         /usr/lib/libGLU.so.1.3.071100
:0x00193280  0x001ed74c  Yes         /usr/lib/libSDL-1.2.so.0.11.3
:0x00676600  0x00681d6c  Yes         /lib/libpthread-2.14.so
:0x4710d720  0x47112afc  Yes         /usr/lib/libvorbisfile.so.3.3.4
:0x00cb32d0  0x00cb65ac  Yes         /usr/lib/libSDL_ttf-2.0.so.0.10.0
:0x005df890  0x005e7cdc  Yes         /usr/lib/libSDL_image-1.2.so.0.8.2
:0x00b58eb0  0x00b5a43c  Yes         /usr/lib/libSDL_net-1.2.so.0.0.7
:0x4599a940  0x459a909c  Yes         /usr/lib/libspeex.so.1.5.0
:0x00275e00  0x002e967b  Yes         /usr/lib/libstdc++.so.6.0.16
:0x00f4e470  0x00f69b4c  Yes         /lib/libm-2.14.so
:0x009d2f30  0x009e9c5c  Yes         /lib/libgcc_s-4.6.0-20110603.so.1
:0x003a7d10  0x004c5d24  Yes         /lib/libc-2.14.so
:0x00111880  0x0011539c  Yes         /lib/librt-2.14.so
:0x45af8310  0x45b88fbc  Yes         /usr/lib/libX11.so.6.3.0
:0x45c466b0  0x45c5100c  Yes         /usr/lib/libXext.so.6.4.0
:0x45ee67c0  0x45ee71fc  Yes         /usr/lib/libXdamage.so.1.1.0
:0x45e89ed0  0x45e8c64c  Yes         /usr/lib/libXfixes.so.3.1.0
:0x470c5ad0  0x470c869c  Yes         /usr/lib/libXxf86vm.so.1.0.0
:0x00c4d420  0x00c52bdc  Yes         /usr/lib/libdrm.so.2.4.0
:0x00832a60  0x00833a8c  Yes         /lib/libdl-2.14.so
:0x00a23850  0x00a3aaff  Yes         /lib/ld-2.14.so
:0x46e00770  0x46e16c5c  Yes         /usr/lib/libvorbis.so.0.4.5
:0x46bdb320  0x46bde06c  Yes         /usr/lib/libogg.so.0.7.1
:0x00524480  0x0058f2dc  Yes         /usr/lib/libfreetype.so.6.6.2
:0x0011c720  0x0013949c  Yes         /usr/lib/libpng12.so.0.46.0
:0x005fd750  0x006326dc  Yes         /usr/lib/libjpeg.so.62.0.0
:0x4725cda0  0x47290efc  Yes         /usr/lib/libtiff.so.3.9.5
:0x45c25e90  0x45c357bc  Yes         /usr/lib/libxcb.so.1.1.0
:0x45c3fa00  0x45c4088c  Yes         /usr/lib/libXau.so.6.0.0
:0x45e7e300  0x45e844fc  Yes         /usr/lib/libXrender.so.1.3.0
:0x45edd150  0x45ee1ccc  Yes         /usr/lib/libXrandr.so.2.2.0
:0x45eece70  0x45ef235c  Yes         /usr/lib/libXcursor.so.1.0.2
:0x45934fa0  0x459363fc  Yes         /usr/lib/libpulse-simple.so.0.0.3
:0x478a8070  0x478d803c  Yes         /usr/lib/libpulse.so.0.12.3
:0x47856980  0x4788af2c  Yes         /usr/lib/libpulsecommon-0.9.22.so
:0x470e03a0  0x470e04ec  Yes         /usr/lib/libX11-xcb.so.1.0.0
:0x4697e410  0x46982d5c  Yes         /usr/lib/libSM.so.6.0.1
:0x469df4e0  0x469ee3dc  Yes         /usr/lib/libICE.so.6.3.0
:0x470d8eb0  0x470dbb9c  Yes         /usr/lib/libXtst.so.6.1.0
:0x475601f0  0x4756093c  Yes         /usr/lib/libxcb-atom.so.1.0.0
:0x00143f10  0x00147eec  Yes         /lib/libwrap.so.0.7.6
:0x00bb9460  0x00c0a52c  Yes         /usr/lib/libsndfile.so.1.0.25
:0x0014bd80  0x0014e7ec  Yes         /usr/lib/libasyncns.so.0.3.1
:0x0072b6a0  0x0075acfc  Yes         /lib/libdbus-1.so.3.5.4
:0x00151f30  0x00153b5c  Yes         /lib/libuuid.so.1.3.0
:0x006fb780  0x007059ac  Yes         /usr/lib/libXi.so.6.1.0
:0x00159120  0x0016796c  Yes         /lib/libnsl-2.14.so
:0x00695580  0x006bf848  Yes         /usr/lib/libFLAC.so.8.2.0
:0x473ecb90  0x473ef51c  Yes         /usr/lib/libvorbisenc.so.2.0.8
:0x001725f0  0x0018265c  Yes         /lib/libresolv-2.14.so
:0x00f89c90  0x012053bc  Yes         /usr/lib/dri/r300_dri.so
:0x005bb490  0x005ccd9c  Yes         /lib/libselinux.so.1
:0x45c5f040  0x45c78c7c  Yes         /lib/libexpat.so.1.5.2
:0x032197d0  0x03c5854c  Yes         /usr/lib/llvm/libLLVM-2.8.so
:0x00f01000  0x00f0465c  Yes         /usr/lib/libffi.so.5.0.10
:0x0018d400  0x0018d428  Yes         /lib/modules/2.6.40.4-5.fc15.i686.PAE/vdso/vdso32-sysenter.so
:$1 = 0xb785d000 ""
:No symbol "__glib_assert_msg" in current context.
:eax            0x0	0
:ecx            0x13d9	5081
:edx            0x6	6
:ebx            0x13d9	5081
:esp            0xbf958d5c	0xbf958d5c
:ebp            0xbf9594e4	0xbf9594e4
:esi            0x0	0
:edi            0x518ff4	5345268
:eip            0x18d424	0x18d424 <__kernel_vsyscall+16>
:eflags         0x200202	[ IF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __kernel_vsyscall:
:   0x0018d414 <+0>:	push   %ecx
:   0x0018d415 <+1>:	push   %edx
:   0x0018d416 <+2>:	push   %ebp
:   0x0018d417 <+3>:	mov    %esp,%ebp
:   0x0018d419 <+5>:	sysenter 
:   0x0018d41b <+7>:	nop
:   0x0018d41c <+8>:	nop
:   0x0018d41d <+9>:	nop
:   0x0018d41e <+10>:	nop
:   0x0018d41f <+11>:	nop
:   0x0018d420 <+12>:	nop
:   0x0018d421 <+13>:	nop
:   0x0018d422 <+14>:	int    $0x80
:=> 0x0018d424 <+16>:	pop    %ebp
:   0x0018d425 <+17>:	pop    %edx
:   0x0018d426 <+18>:	pop    %ecx
:   0x0018d427 <+19>:	ret    
:End of assembler dump.

build_ids:
:97d55ffd6efc5eed698afadb6b8a5d52a07cb771
:4d584b475e47d70151cb5c21e783c18d2bffe0a1
:76ecdf537438aa22bf0260336adca87ea948198e
:02c0beddf5e142bd144b1bb95b7b76dbabe6d515
:1b68f729f6bfa773ceb671e60f136f23c520a7dd
:015461eb1dbf4f80b87a572a36090bc191d86534
:2b9008ea37cd42a99e3cadb4abecbaeee3334043
:617ed119e2ba2784a2d576977bcf5ee7f64a3e28
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:b5da24580a5e5b69698eb75811ba9e257f60d5e4
:570032386af5c4ef1948b6140020640807357b6e
:d3e5e5ac9b928039e702f69a7dcfee27c598f583
:f917a922a8e3fb4ffc32090f153a92077884c5b5
:a78b508f8256fa50d502ce0c83717a8ea066ecc6
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:df162ddf3492fe6e79c0c25f6ebcc011c586e91b
:57199fcccbf44c6d5b9d3f38d3f9943cf2d73381
:07fcedef1f951a847d2662baf33cc75db56632db
:eff8397ac7aa6767aecbdf4ac99c860a5c1c5498
:64b179f00cdb231429678a327048cf465a272b6f
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:837e1ca00132cf34660139487cceaddde3d607c5
:556dc456e04150d23e59763dce9a3be937267957
:de6a505586d1f5b200592e907c5364d38e277c86
:eadee775fea6decdfedb95dde772d9f89ebac5fd
:2dc4e4ea515eca25191148452fac07de08443eb8
:f6d1a228543718cec6fdc5f6cc43b19a42795bd9
:b4f8b453c124f1bcf32ee8273b7e7f149202ff68
:56dbf2b7630a34ab8e98d81362ac7348ec657f10
:bbd40b199eca229783ab278c7f0b733360758fab
:826bb4d8376c62b913b61301b276adab50e11c5a
:c0f4c1b29d774b73bab72675ac11f18a7e7641d2
:15bab279752ad8e30f901abae77bcb1ed1f38977
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:0bda37af3ccadc16b8b2f9a04ff15d78b6936647
:5a4b4eca5a07087498a211616ade557aa901d893
:64e6912d10e111cd12964bdcc6de8b3baa4058a0
:8bae3ea4ef7ae53450c3cdd0ea43e7cf7d362c4f
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:596747ce3b9e966753abd4a1d3dbbdc175004141
:8981a35be6b02de75b5f1bcd5b0871ff85ba6eb1
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:445ac109dc44eeeb78355c461d49f89d0f445966
:fb1ed12562a67a061420bf6fa6361f826b98b74d
:25c5e67291f34713a82cdf92147adec423771905
:92a9033bbedc303317346dc414914fec5643bd7b
:1bbbe912cdc63aa6aada2af48ef35accd33f7889
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:356d76ed7f3fe0522c4af11f5c2fa55f169918c0
:0472aebd0f9529cebdfff9d72c5b3c9cbd6194ed
:9551a4dab6275a0745808fd9c5d289ed6bce6be4
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:9c04594db13fd8fd6e899a12f1d5cef5b52798cc
:6f87ea21308989c674f40d270f35514bbed96401
:798697a352bae4178953ba502fb04f33dd0ed987
:f1ad2e28e209814b673f435981b1feb448714b5b
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:44f38d4ca151785c4e15df0617a51ba60f2b3aad
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-5.i686 (Fedora Project) 1316963014
:/lib/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.i686 (Fedora Project) 1316926116
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.i686 (Fedora Project) 1316963293
:/usr/lib/libICE.so.6.3.0 libICE-1.0.6-3.fc15.i686 (Fedora Project) 1316926107
:/lib/libm-2.14.so glibc-2.14-5.i686 (Fedora Project) 1316963014
:/usr/lib/libGL.so.1.2 mesa-libGL-7.11-1.fc15.i686 (Fedora Project) 1316964428
:/usr/lib/libXxf86vm.so.1.0.0 libXxf86vm-1.1.1-2.fc15.i686 (Fedora Project) 1316926160
:/usr/lib/llvm/libLLVM-2.8.so llvm-libs-2.8-12.fc15.i686 (Fedora Project) 1316964002
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1316926153
:/usr/lib/libtiff.so.3.9.5 libtiff-3.9.5-1.fc15.i686 (Fedora Project) 1316926170
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc15.i686 (Fedora Project) 1316963386
:/usr/lib/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.i686 (Fedora Project) 1316926180
:/usr/lib/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.i686 (Fedora Project) 1316963426
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.i686 (Fedora Project) 1316963292
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1316963294
:/usr/lib/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1316926151
:/usr/lib/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.i686 (Fedora Project) 1277071963
:/usr/lib/dri/r300_dri.so mesa-dri-drivers-7.11-1.fc15.i686 (Fedora Project) 1316964524
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1316926115
:/usr/lib/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.i686 (Fedora Project) 1316926160
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1316926154
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1316926154
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-2.fc15.i686 (Fedora Project) 1316963310
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1316926159
:/usr/lib/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1316926154
:/usr/lib/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1316926182
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1316963014
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1316963014
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1316926156
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1316926127
:/usr/bin/glob2 glob2-0.9.4.4-5.fc15.i686 (Fedora Project) 1316966317
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1316926103
:/usr/lib/libboost_thread-mt.so.1.46.0 boost-thread-1.46.0-3.fc15.i686 (Fedora Project) 1316963532
:/usr/lib/libSDL_ttf-2.0.so.0.10.0 SDL_ttf-2.0.10-2.fc15.i686 (Fedora Project) 1316963363
:/usr/lib/libSDL_net-1.2.so.0.0.7 SDL_net-1.2.7-8.fc15.i686 (Fedora Project) 1316963368
:/usr/lib/libGLU.so.1.3.071100 mesa-libGLU-7.11-1.fc15.i686 (Fedora Project) 1316964429
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1316963014
:/usr/lib/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1316926182
:/usr/lib/libspeex.so.1.5.0 speex-1.2-0.13.rc1.fc15.i686 (Fedora Project) 1316926171
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1316926153
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1316926122
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1316926151
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1316926155
:/usr/lib/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.i686 (Fedora Project) 1316926157
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1316963014
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1316926110
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc15.i686 (Fedora Project) 1316963295
:/lib/libnsl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1316963014
:/usr/lib/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.i686 (Fedora Project) 1316963293
:/lib/librt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1316963014
:/usr/lib/libdrm.so.2.4.0 libdrm-2.4.26-1.fc15.i686 (Fedora Project) 1316964428
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1316926156
:/lib/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.i686 (Fedora Project) 1316962659
:/lib/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.i686 (Fedora Project) 1316963312
:/usr/lib/libpulse-simple.so.0.0.3 pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1316926182
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1316963014
:/usr/lib/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1316926151
:/usr/lib/libSDL_image-1.2.so.0.8.2 SDL_image-1.2.10-2.fc15.i686 (Fedora Project) 1316963305
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1316926155
:/usr/lib/libSDL-1.2.so.0.11.3 SDL-1.2.14-12.fc15.i686 (Fedora Project) 1316963294
:/usr/lib/locale/locale-archive glibc-common-2.14-5.i686 (Fedora Project) 1316963035

environ:
:XDG_SESSION_ID=5
:HOSTNAME=kids2
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=2ca8dc82adb6fa1449efffce0000000d-1317094079.433065-559604292
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-iLQ2Ul
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=samuel
:USERNAME=samuel
:MAIL=/var/spool/mail/samuel
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/samuel/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/samuel
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=4043
:LANG=en_US.UTF-8
:GDM_LANG=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/samuel
:SHLVL=1
:LOGNAME=samuel
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-gWdAxklTce,guid=f0bbabdeac2c4ebdd32c36300001a052
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=7
:XDG_RUNTIME_DIR=/run/user/samuel
:DISPLAY=:0.0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-samuel-9YsEYU/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/4051,unix/unix:/tmp/.ICE-unix/4051
:ORBIT_SOCKETDIR=/tmp/orbit-samuel
:SSH_AUTH_SOCK=/tmp/keyring-iLQ2Ul/ssh
:GPG_AGENT_INFO=/tmp/keyring-iLQ2Ul/gpg:0:1
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-glob2.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5081
Comment 1 Samuel Sieb 2011-09-27 00:40:24 EDT
Created attachment 525028 [details]
File: maps
Comment 2 Samuel Sieb 2011-09-27 00:43:04 EDT
Looks like a double-free while closing speex.
Comment 3 Bruno Wolff III 2011-09-27 08:14:55 EDT
There doesn't appear to be an open bug for this upstream, nor an update that would fix it.

I was able to reproduce this by selecting lan game, returning to the main menu and then quitting.
Comment 4 Bruno Wolff III 2011-09-27 08:21:47 EDT
I have filed a bug upstream about this:
http://savannah.nongnu.org/bugs/index.php?34410
Comment 5 Samuel Sieb 2011-09-27 23:47:40 EDT
I realized I could get the glibc error by running it from a terminal.  It's not a double-free, it's memory corruption:
*** glibc detected *** glob2: corrupted double-linked list: 0x08f27248 ***

I just need to load it to the initial menu and then quit to get it to happen.
Comment 6 krysolov230 2012-01-29 14:54:45 EST
Изменил разрешение в настройках игры на меньшее, чем у экрана; игра запущена не в полноэкранном режиме.

backtrace_rating: 4
Package: glob2-0.9.4.4-8.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 krysolov230 2012-01-29 14:55:11 EST
Created attachment 558212 [details]
File: backtrace
Comment 8 abrt-bot 2012-03-21 12:45:03 EDT
*** Bug 789539 has been marked as a duplicate of this bug. ***
Comment 9 Gergely POLONKAI 2012-06-20 08:10:54 EDT
Just exited the game by clicking the quit button in the main menu

backtrace_rating: 4
Package: glob2-0.9.4.4-11.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Joseph O Morrow 2012-06-24 11:24:28 EDT
Start glob2. Exit glob2. Crash notification occurs after glob2 no longer displays.

backtrace_rating: 4
Package: glob2-0.9.4.4-8.fc16
OS Release: Fedora release 16 (Verne)
Comment 11 Fedora End Of Life 2012-08-07 11:31:37 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.